<template>
  <section
    id="classes"
    class="bg-green-300">
    <swiper :options="swiperOptions">
      <swiperSlide
        v-for="cls of classes"
        :key="cls.type"
        class="pb-10">
        <Class
          :type="cls.type"
          :title="cls.title"
          :brief="cls.brief"
          :subscribeDest="cls.subscribeDest"
          :editalDest="cls.editalDest"
          :events="cls.events"
          :description="cls.description" />
      </swiperSlide>
      <div
        class="swiper-pagination"
        slot="pagination">
      </div>
    </swiper>
  </section>
</template>

<script lang="ts">
import Vue from 'vue'
import Component from 'vue-class-component';
import { swiper, swiperSlide } from 'vue-awesome-swiper';
import 'swiper/dist/css/swiper.css';

import Class, { IClass } from '@/components/Class.vue';

@Component({
  components: {
    Class,
    swiper,
    swiperSlide,
  }
})
export default class Classes extends Vue {
  classes: IClass[] = [
    {
      type: 'regular',
      title: 'Turma Regular',
      brief: 'Pré-Vestibular',
      subscribeDest: 'https://forms.gle/fg7ekAicCAW4d98TA',
      editalDest: 'https://drive.google.com/file/d/1o_fz5W7PRz5fUyEFA7SwUVzy8W5gfP2D/view?usp=sharing',
      events: [
        { date: { day: '10', month: 'NOV', year: '2019' }, text: 'Início das inscrições para o Processo Seletivo 2020.1' },
        { date: { day: '12', month: 'DEZ', year: '2019' }, text: 'Fim das atividades 2019' },
        { date: { day: '27', month: 'FEV', year: '2020' }, text: 'Abertura das matrículas presenciais para o primeiro semestre de 2020' },
        { date: { day: '01', month: 'MAR', year: '2020' }, text: 'Não haverá expediente de matrícula neste dia' },
        { date: { day: '02', month: 'MAR', year: '2020' }, text: 'Encerramento das matrículas presenciais para o primeiro semestre de 2020' },
        { date: { day: '02', month: 'MAR', year: '2020' }, text: 'Começo das atividades 2020' },
      ],
      description: 'Contamos com mais de 25 professores, capacitados e treinados a dar aula, entre graduandos e graduados de universidades públicas, providenciando o melhor acesso possível à educação, de maneira gratuita. Além disso, nossa equipe administrativa e pedagógica oferece suporte multisetorial aos alunos.',
    },
    // {
    //   type: 'basic',
    //   title: 'Turma Básica',
    //   brief: 'Reforço do Ensino Médio',
    //   subscribeDest: '',
    //   editalDest: '',
    //   events: [
    //     { date: '21/03', text: 'bla bla bla bla bla bla bla bla bla bla bla' },
    //     { date: '21/04', text: 'bla bla bla bla bla bla bla bla bla bla bla' },
    //     { date: '21/05', text: 'bla bla bla bla bla bla bla bla bla bla bla' },
    //     { date: '21/06', text: 'bla bla bla bla bla bla bla bla bla bla bla' },
    //     { date: '21/07', text: 'bla bla bla bla bla bla bla bla bla bla bla' },
    //   ],
    //   description: 'A turma básica é voltada para os alunos do Ensido Médio com o intuito de reforçar os conteúdos do Fundamental II e do Ensino Médio. A duração é de um semestre, com aulas de segunda a sexta, das 18h às 22h40min. O material didático é é desenvolvido pelos próprios professores e os alunos contam com o plantão de dúvidas, de segunda a quinta.',
    // },
  ];

  swiperOptions: any = {
    pagination: {
      el: '.swiper-pagination',
      clickable: true,
    },
  };
}
</script>
